Summary:	A utility for monitoring system logs files
Name:		swatchdog
Version:	3.2.4
Release:	%mkrel 4
License:	GPLv2
Group:		Monitoring
URL:		https://swatch.sourceforge.net/
Source0:	https://sourceforge.net/projects/swatch/files/swatchdog/%{name}-%{version}.tar.gz
Source1:	swatchrc.bz2
Source2:	README-mageia.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(File::Tail)
BuildRequires:	perl(Date::Calc)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl-TimeDate
Requires:	perl perl-File-Tail perl-Date-Calc perl-Time-HiRes perl-TimeDate
BuildArch:	noarch

Obsoletes:      swatch < 3.2.3-10

%description
swatchdog.pl started out as swatch, the "simple watchdog" for activity
monitoring log files produced by UNIX's syslog facility. It has since
been evolving into a utility that can monitor just about any type of
log. The name has been changed to satisfy a request made by the old
Swiss watch company.

The Swatchdog utility monitors system log files, filters out unwanted data
and takes specified actions (i.e., sending email, executing a script,
etc.) based upon what it finds in the log files.

Install the swatchdog package if you need a program that will monitor log
files and alert you in certain situations.

%prep
%autosetup

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
perl -pi -e "s|^(INSTALLMAN1DIR\s=\s/usr/share/man/man1)|INSTALLMAN1DIR = \\$\(PREFIX\)/share/man/man1|" $RPM_BUILD_DIR/%{name}-%{version}/Makefile

%make_install

mkdir -p %{buildroot}%{_sysconfdir}
bzcat %{SOURCE1} >> %{buildroot}%{_sysconfdir}/swatchrc

bzcat %{SOURCE2} >> $RPM_BUILD_DIR/%{name}-%{version}/README-Mageia

rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/auto

%files
%doc CHANGES COPYRIGHT KNOWN_BUGS README* examples tools
%{_bindir}/%{name}
%{_mandir}/man?/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/swatchrc
%dir %{perl_vendorlib}/Swatchdog
%{perl_vendorlib}/Swatchdog/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.2.4-4.mga10
+ Revision: 2208962
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 3.2.4-3.mga9
+ Revision: 1819352
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.2.4-2.mga8
+ Revision: 1521782
- Mageia 8 Mass Rebuild

* Tue Jan 01 2019 kekepower <kekepower> 3.2.4-1.mga7
+ Revision: 1348438
- Obsolete the old package
- Project renamed to swatchdog
- Update to version 3.2.4
- The name has been changed to satisfy a request made by the old Swiss watch company.

* Thu Oct 04 2018 umeabot <umeabot> 3.2.3-9.mga7
+ Revision: 1317600
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.2.3-8.mga6
+ Revision: 1036569
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 3.2.3-7.mga6
+ Revision: 947211
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.3-6.mga5
+ Revision: 748092
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.3-5.mga5
+ Revision: 689635
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.2.3-4.mga4
+ Revision: 519366
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 383837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dams <dams>
- delete README-mandrake.bz2

* Wed Nov 16 2011 dams <dams> 3.2.3-2.mga2
+ Revision: 168057
- clean specfile
- replace 'mandrake' by 'mageia' for the README

* Wed Mar 23 2011 steletch <steletch> 3.2.3-1.mga1
+ Revision: 76071
- Clean spec file
- imported package swatch

